###################################################
### chunk number 1: 
###################################################
library(wq)


###################################################
### chunk number 2:  eval=FALSE
###################################################
## sfbay <- read.csv("sfbay.csv", header = FALSE, as.is = TRUE, skip = 2)
## names(sfbay) <- c('date', 'time', 'stn', 'depth', 'chl', 'dox', 'spm', 'ext', 'sal', 'temp', 'nox', 'nhx')
## sfbay <- subset(sfbay, stn %in% c(21, 24, 27, 30, 32, 36) & substring(date, 7, 10) %in% 1985:2004)


###################################################
### chunk number 3: 
###################################################
head(sfbay)


###################################################
### chunk number 4: 
###################################################
x <- sample(1:nrow(sfbay), 10)
sfbay[x, "dox"]
sfbay1 <- transform(sfbay, dox = round(100 * dox/oxySol(sal, temp), 1))
sfbay1[x, "dox"]


###################################################
### chunk number 5: 
###################################################
sfb <- wqData(sfbay, c(1, 3:4), 5:12, site.order = TRUE, 
	time.format = "%m/%d/%Y", type = "wide")
head(sfb)


###################################################
### chunk number 6: 
###################################################
summary(sfb)


###################################################
### chunk number 7: 
###################################################
sfb1 <- subset(sfb, variable == 'chl' & depth <= 1)
class(sfb1)
summary(sfb1)


###################################################
### chunk number 8: 
###################################################
plot(sfb1)


###################################################
### chunk number 9: 
###################################################
print(plot(sfb1))


###################################################
### chunk number 10: 
###################################################
y <- tsMake(sfb, focus = "chl", layer = c(0, 5))
y[1:6, ]
tsp(y)
plot(y, main = "Chlorophyll in San Francisco Bay")


###################################################
### chunk number 11: 
###################################################
plot(y, main = "Chlorophyll in San Francisco Bay")


###################################################
### chunk number 12: 
###################################################
head(tsMake(sfb, focus = "chl", layer = c(0, 5), type = 'zoo'))


###################################################
### chunk number 13: 
###################################################
mannKen(Nile)


###################################################
### chunk number 14: 
###################################################
chl27 <- sfbayChla[, "s27"]
seaKen(chl27)


###################################################
### chunk number 15: 
###################################################
seaRoll(chl27, w = 10)


###################################################
### chunk number 16: 
###################################################
chl27 <- sfbayChla[, "s27"]
chl27a <- interpTs(chl27, gap = 3)
plot(chl27a, col = "red", xlab = "")
lines(chl27, col = "blue")


###################################################
### chunk number 17: 
###################################################
plot(chl27a, col = "red", xlab = "")
lines(chl27, col = "blue")


###################################################
### chunk number 18: 
###################################################
chla1 <- aggregate(sfbayChla, 1, mean, na.rm = TRUE)
chla1 <- chla1[, 1:12]
eofNum(chla1, distr = "lognormal", reps = 2000)


###################################################
### chunk number 19: 
###################################################
print(eofNum(chla1, distr = "lognormal", reps = 2000))


###################################################
### chunk number 20: 
###################################################
e1 <- eof(chla1, n = 1)
e1


###################################################
### chunk number 21: 
###################################################
plotEof(e1, type = "amp")


###################################################
### chunk number 22: 
###################################################
print(plotEof(e1, type = "amp"))


###################################################
### chunk number 23: 
###################################################
chl27b <- interpTs(sfbayChla[, "s27"], gap = 3)
chl27b <- ts2df(chl27b, mon1 = 10, addYr = TRUE, omit = TRUE)
head(round(chl27b, 1))


###################################################
### chunk number 24: 
###################################################
e2 <- eof(chl27b, n = 2)
plotEof(e2, type = "coef")


###################################################
### chunk number 25: 
###################################################
print(plotEof(e2, type = "coef"))


###################################################
### chunk number 26: 
###################################################
chl27 <- sfbayChla[, "s27"]
d1 <- decompTs(chl27)
plot(d1, nc = 1, main = "Station 27 Chl-a decomposition")


###################################################
### chunk number 27: 
###################################################
plot(d1, nc = 1, main = "Station 27 Chl-a decomposition")


###################################################
### chunk number 28: 
###################################################
plotSeas(chl27)


###################################################
### chunk number 29: 
###################################################
print(plotSeas(chl27))


###################################################
### chunk number 30: 
###################################################
chl27 <- sfbayChla[, 's27']
p1 <- phenoPhase(chl27)
head(p1)
p2 <- phenoPhase(chl27, c(1, 6))
head(p2)
p3 <- phenoAmp(chl27, c(1, 6))
head(p3)


###################################################
### chunk number 31: 
###################################################
zchl <- tsMake(sfb, focus = "chl", layer = c(0, 5), type = 'zoo')
head(zchl)
zchl27 <- zchl[, 3]
head(phenoPhase(zchl27))
head(phenoPhase(zchl27, c(1, 6), out = 'doy'))
head(phenoPhase(zchl27, c(1, 6), out = 'julian'))


###################################################
### chunk number 32: 
###################################################
chl27 <- sfbayChla[, "s27"]
plotTsTile(chl27)


###################################################
### chunk number 33: 
###################################################
print(plotTsTile(chl27))


